#/**
#         ogr MakeChecksumFile [ str_repo | int_ndisk int_nfilesys] path_filepath
#@brief   Metafunción que guarda el valor de comprobación de un fichero.
#@see     ogr CalculateChecksum
#@warning Genera un fichero con extensión \c .sum
#@version 0.9.2 - Primera versión para OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010-07-24
#*/ ##
# Variables locales.
local FILE DATA
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME [ str_repo | int_ndisk int_nfilesys] path_filepath" \
           "$FUNCNAME REPO ubuntu.img"
    return
fi
 
# Comprobar que existe el fichero y guardar su checksum.
FILE=$(ogr GetPath "$@")
[ -n "$FILE" ] || ogr RaiseError $OG_ERR_NOTFOUND "$*" || return $?
ogr CalculateChecksum "$FILE" > "$FILE.sum"
